<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="model"
            type="com.lukouguoji.module_base.model.GoodsTransportModifyDialogModel" />

    </data>

    <LinearLayout
        android:layout_width="500dp"
        android:layout_height="wrap_content"
        android:background="@color/color_f2"
        android:gravity="center_horizontal"
        android:orientation="vertical">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="@color/colorPrimary"
            android:gravity="center"
            android:text="修改机位"
            android:textColor="@color/white"
            android:textSize="18sp"
            android:textStyle="bold" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="15dp"
            android:text='@{"平板车：" + model.carList}'
            android:textColor="@color/text_normal"
            android:textSize="16sp"
            android:textStyle="bold" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:gravity="center_vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="机位："
                android:textSize="16sp" />

            <LinearLayout
                android:layout_width="240dp"
                android:layout_height="40dp"
                android:background="@drawable/bg_search_row">

                <EditText
                    android:id="@+id/spinner_driver"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@null"
                    android:hint="请输入机位"
                    android:paddingHorizontal="8dp"
                    android:text="@={model.data}"
                    android:textSize="15sp" />

            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="30dp"
            android:layout_marginBottom="15dp">

            <TextView
                style="@style/tv_bottom_btn"
                android:onClick="@{()->model.dismiss()}"
                android:text="取消" />

            <TextView
                style="@style/tv_bottom_btn"
                android:onClick="@{()->model.onConfirmClick()}"
                android:text="保存" />

        </LinearLayout>

    </LinearLayout>
</layout>